/*
  ******************************************************************************
  * Copyright (c)  2008 - 2024, Shanghai AisinoChip Co.,Ltd .
  * @file    temp_sensor.h 
  * @version V1.0.0
  * @date    2024
  * @author  Aisinochip Firmware Team  
  * @brief   ADC Temperature sensor Header code.
  ******************************************************************************        
*/
#ifndef __TEMP_SENSOR_H__
#define __TEMP_SENSOR_H__


#include "fxx_std.h"



void Bubble_Sort(uint32_t *arr, uint16_t n);
uint32_t ADC_TemperatureSelfCalibrate(uint32_t ActualVol);
void ADC_Temperature_Init(void);
uint32_t ADC_GetTemperature(void);
void ADC_TemperatureSensor_Test(void);


#endif 







